## Apache Zeta Components Manual :: Docs For Class ezcWebdavServerOptions

### Webdav::ezcWebdavServerOptions

### Class ezcWebdavServerOptions

Options class for ezcWebdavServer.

These options are used in the ezcWebdavServer instance.

Source for this file: /Webdav/src/options/server.php

    ezcBaseOptions
       |
       --ezcWebdavServerOptions

Version: | //autogen//

### Properties

string | read/write | `$realm` The realm that is used in WWW-Authorization headers. The default is "eZ Components WebDAV".

### Inherited Member Variables

From ezcBaseOptions
protected | `ezcBaseOptions::$properties`

### Method Summary

public ezcWebdavServerOptions | `__construct( [ $options = array()] )` Constructs a new options objet with the given $options;

### Inherited Methods

From ezcBaseOptions
public ezcBaseOptions | `ezcBaseOptions::__construct()` Construct a new options object.
public void | `ezcBaseOptions::merge()` Merge an array into the actual options object.
public bool | `ezcBaseOptions::offsetExists()` Returns if an option exists.
public mixed | `ezcBaseOptions::offsetGet()` Returns an option value.
public void | `ezcBaseOptions::offsetSet()` Set an option.
public void | `ezcBaseOptions::offsetUnset()` Unset an option.

### Methods

#### __construct

ezcWebdavServerOptions __construct( [ $options = array()] )

Constructs a new options objet with the given $options;

##### Parameters:

Name | Type | Description
--- | --- | ---
`$options` | array(string=>mixed) |

##### Exceptions:

Type | Description
--- | ---
`ezcBaseValueException` | if $options contains a property with a value not allowed
`ezcBasePropertyNotFoundException` | if $options contains a property not defined

##### Redefinition of:

Method | Description
--- | ---
`ezcBaseOptions::__construct()` | Construct a new options object.

Documentation generated by phpDocumentor 1.4.3